SimpleMenuItem (Apache Struts API Documentation)
Keywords: org.apache.struts.tiles.beans.SimpleMenuItem,SimpleMenuItem class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles.beans
Class SimpleMenuItem

    java.lang.Object
      |
      +--org.apache.struts.tiles.beans.SimpleMenuItem

All Implemented Interfaces:
  MenuItem, java.io.Serializable

public class SimpleMenuItem
extends java.lang.Object
implements MenuItem, java.io.Serializable

A MenuItem implementation. Used to read menu items in definitions.

See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `icon`
`private java.lang.String` | `link`
`private java.lang.String` | `tooltip`
`private java.lang.String` | `value`

Constructor Summary
`SimpleMenuItem()` Constructor.

Method Summary
`java.lang.String` | `getIcon()` Get icon property.
`java.lang.String` | `getLink()` Get link property.
`java.lang.String` | `getTooltip()` Get tooltip property.
`java.lang.String` | `getValue()` Get value property.
`void` | `setIcon(java.lang.String icon)` Set icon property.
`void` | `setLink(java.lang.String link)` Set link property.
`void` | `setTooltip(java.lang.String tooltip)` Set tooltip property.
`void` | `setValue(java.lang.String value)` Set value property.
`java.lang.String` | `toString()` Return String representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    private java.lang.String value

### link

    private java.lang.String link

### icon

    private java.lang.String icon

### tooltip

    private java.lang.String tooltip

Constructor Detail

### SimpleMenuItem

    public SimpleMenuItem()

  Constructor.

Method Detail

### setValue

    public void setValue(java.lang.String value)

  Set value property.

  Specified by:
    `setValue` in interface `MenuItem`

### getValue

    public java.lang.String getValue()

  Get value property.

  Specified by:
    `getValue` in interface `MenuItem`

### setLink

    public void setLink(java.lang.String link)

  Set link property.

  Specified by:
    `setLink` in interface `MenuItem`

### getLink

    public java.lang.String getLink()

  Get link property.

  Specified by:
    `getLink` in interface `MenuItem`

### setIcon

    public void setIcon(java.lang.String icon)

  Set icon property.

  Specified by:
    `setIcon` in interface `MenuItem`

### getIcon

    public java.lang.String getIcon()

  Get icon property.

  Specified by:
    `getIcon` in interface `MenuItem`

### setTooltip

    public void setTooltip(java.lang.String tooltip)

  Set tooltip property.

  Specified by:
    `setTooltip` in interface `MenuItem`

### getTooltip

    public java.lang.String getTooltip()

  Get tooltip property.

  Specified by:
    `getTooltip` in interface `MenuItem`

### toString

    public java.lang.String toString()

  Return String representation.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation